package com.community.huiju.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.dao.TpEquipmentMapper;
import com.community.huiju.model.TpEquipment;
import com.community.huiju.service.ITpEquipmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 设备表 服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-04-15
 */
@Service
public class TpEquipmentServiceImpl extends ServiceImpl<TpEquipmentMapper, TpEquipment> implements ITpEquipmentService {

    @Autowired
    private TpEquipmentMapper tpEquipmentMapper;

    @Override
    public ResponseBean getAllByCommunityAndEquipmentType(UserElement userElement, Integer equipmentType) {
        ResponseBean responseBean = new ResponseBean();
        List<TpEquipment> tpEquipments = tpEquipmentMapper.selectAllByCommunityAndEquipmentType(userElement.getCommunityId(), equipmentType);
        responseBean.addSuccess(tpEquipments);
        return responseBean;
    }
}
